<dx-data-grid id="gridContainer" [dataSource]="dataSource" [showBorders]="true">
<dxo-export [enabled]="true" fileName="Employees" [allowExportSelectedData]="true"></dxo-export>
<dxo-selection mode="multiple"></dxo-selection>
<dxo-group-panel [visible]="true"></dxo-group-panel>
<dxi-column dataField="Prefix" [width]="60" caption="Title"></dxi-column>
<dxi-column dataField="FirstName"></dxi-column>
<dxi-column dataField="LastName"></dxi-column>
<dxi-column dataField="City"></dxi-column>
<dxi-column dataField="State"></dxi-column>
<dxi-column dataField="Position" [width]="130"></dxi-column>
<dxi-column dataField="BirthDate" [width]="100" dataType="date"></dxi-column>
<dxi-column dataField="HireDate" [width]="100" dataType="date"></dxi-column>
</dx-data-grid>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxDataGridModule } from 'devextreme-angular';
import { Service, Employee } from './app.service';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
styleUrls: ['app/app.component.css'],
selector: 'demo-app',
templateUrl: 'app/app.component.html',
providers: [Service]
})
export class AppComponent {
dataSource: Employee[];
constructor(service: Service) {
this.dataSource = service.getEmployees();
}
}
@NgModule({
imports: [
BrowserModule,
DxDataGridModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
import { Injectable } from '@angular/core';
export class Employee {
ID: number;
FirstName: string;
LastName: string;
Prefix: string;
Position: string;
Picture: string;
BirthDate: string;
HireDate: string;
Notes: string;
Address: string;
State: string;
City: string;
}
let employees: Employee[] = [{
"ID": 1,
"FirstName": "John",
"LastName": "Heart",
"Prefix": "Mr.",
"Position": "CEO",
"Picture": "../../../../images/employees/01.png",
"BirthDate": "1964/03/16",
"HireDate": "1995/01/15",
"Notes": "John has been in the Audio/Video industry since 1990. He has led DevAv as its CEO since 2003.\r\n\r\nWhen not working hard as the CEO, John loves to golf and bowl. He once bowled a perfect game of 300.",
"Address": "351 S Hill St.",
"State": "California",
"City": "Los Angeles"
}, {
"ID": 2,
"FirstName": "Olivia",
"LastName": "Peyton",
"Prefix": "Mrs.",
"Position": "Sales Assistant",
"Picture": "../../../../images/employees/09.png",
"BirthDate": "1981/06/03",
"HireDate": "2012/05/14",
"Notes": "Olivia loves to sell. She has been selling DevAV products since 2012. \r\n\r\nOlivia was homecoming queen in high school. She is expecting her first child in 6 months. Good Luck Olivia.",
"Address": "807 W Paseo Del Mar",
"State": "California",
"City": "Los Angeles"
}, {
"ID": 3,
"FirstName": "Robert",
"LastName": "Reagan",
"Prefix": "Mr.",
"Position": "CMO",
"Picture": "../../../../images/employees/03.png",
"BirthDate": "1974/09/07",
"HireDate": "2002/11/08",
"Notes": "Robert was recently voted the CMO of the year by CMO Magazine. He is a proud member of the DevAV Management Team.\r\n\r\nRobert is a championship BBQ chef, so when you get the chance ask him for his secret recipe.",
"Address": "4 Westmoreland Pl.",
"State": "Arkansas",
"City": "Bentonville"
}, {
"ID": 4,
"FirstName": "Greta",
"LastName": "Sims",
"Prefix": "Ms.",
"Position": "HR Manager",
"Picture": "../../../../images/employees/04.png",
"BirthDate": "1977/11/22",
"HireDate": "1998/04/23",
"Notes": "Greta has been DevAV's HR Manager since 2003. She joined DevAV from Sonee Corp.\r\n\r\nGreta is currently training for the NYC marathon. Her best marathon time is 4 hours. Go Greta.",
"Address": "1700 S Grandview Dr.",
"State": "Georgia",
"City": "Atlanta"
}, {
"ID": 5,
"FirstName": "Brett",
"LastName": "Wade",
"Prefix": "Mr.",
"Position": "IT Manager",
"Picture": "../../../../images/employees/05.png",
"BirthDate": "1968/12/01",
"HireDate": "2009/03/06",
"Notes": "Brett came to DevAv from Microsoft and has led our IT department since 2012.\r\n\r\nWhen he is not working hard for DevAV, he coaches Little League (he was a high school pitcher).",
"Address": "1120 Old Mill Rd.",
"State": "Idaho",
"City": "Boise"
}, {
"ID": 6,
"FirstName": "Sandra",
"LastName": "Johnson",
"Prefix": "Mrs.",
"Position": "Controller",
"Picture": "../../../../images/employees/06.png",
"BirthDate": "1974/11/15",
"HireDate": "2005/05/11",
"Notes": "Sandra is a CPA and has been our controller since 2008. She loves to interact with staff so if you've not met her, be certain to say hi.\r\n\r\nSandra has 2 daughters both of whom are accomplished gymnasts.",
"Address": "4600 N Virginia Rd.",
"State": "Utah",
"City": "Beaver"
}, {
"ID": 7,
"FirstName": "Kevin",
"LastName": "Carter",
"Prefix": "Mr.",
"Position": "Shipping Manager",
"Picture": "../../../../images/employees/07.png",
"BirthDate": "1978/01/09",
"HireDate": "2009/08/11",
"Notes": "Kevin is our hard-working shipping manager and has been helping that department work like clockwork for 18 months.\r\n\r\nWhen not in the office, he is usually on the basketball court playing pick-up games.",
"Address": "424 N Main St.",
"State": "California",
"City": "San Diego"
}, {
"ID": 8,
"FirstName": "Cynthia",
"LastName": "Stanwick",
"Prefix": "Ms.",
"Position": "HR Assistant",
"Picture": "../../../../images/employees/08.png",
"BirthDate": "1985/06/05",
"HireDate": "2008/03/24",
"Notes": "Cindy joined us in 2008 and has been in the HR department for 2 years. \r\n\r\nShe was recently awarded employee of the month. Way to go Cindy!",
"Address": "2211 Bonita Dr.",
"State": "Arkansas",
"City": "Little Rock"
}, {
"ID": 9,
"FirstName": "Kent",
"LastName": "Samuelson",
"Prefix": "Dr.",
"Position": "Ombudsman",
"Picture": "../../../../images/employees/02.png",
"BirthDate": "1972/09/11",
"HireDate": "2009/04/22",
"Notes": "As our ombudsman, Kent is on the front-lines solving customer problems and helping our partners address issues out in the field. He is a classically trained musician and is a member of the Chamber Orchestra.",
"Address": "12100 Mora Dr",
"State": "Missouri",
"City": "St. Louis"
}, {
"ID": 10,
"FirstName": "Taylor",
"LastName": "Riley",
"Prefix": "Mr.",
"Position": "Network Admin",
"Picture": "",
"BirthDate": "1982/08/14",
"HireDate": "2012/04/14",
"Notes": "If you are like the rest of us at DevAV, then you've probably reached out for help from Taylor. He does a great job as a member of our IT department.",
"Address": "7776 Torreyson Dr",
"State": "California",
"City": "San Jose"
}];
@Injectable()
export class Service {
getEmployees() {
return employees;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.0.3/tslib.js',
'rxjs': 'npm:rxjs@6.3.3',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8',
'devextreme-angular': 'npm:devextreme-angular@20.2.4',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<div>
<DxDataGrid
id="gridContainer"
:data-source="dataSource"
:show-borders="true"
>
<DxExport
:enabled="true"
:allow-export-selected-data="true"
file-name="Employees"
/>
<DxSelection mode="multiple"/>
<DxGroupPanel :visible="true"/>
<DxColumn
:width="60"
data-field="Prefix"
caption="Title"
/>
<DxColumn data-field="FirstName"/>
<DxColumn data-field="LastName"/>
<DxColumn data-field="City"/>
<DxColumn data-field="State"/>
<DxColumn
:width="130"
data-field="Position"
/>
<DxColumn
:width="100"
data-field="BirthDate"
data-type="date"
/>
<DxColumn
:width="100"
data-field="HireDate"
data-type="date"
/>
</DxDataGrid>
</div>
</template>
<script>
import { DxDataGrid, DxColumn, DxExport, DxSelection, DxGroupPanel } from 'devextreme-vue/data-grid';
import service from './data.js';
export default {
components: {
DxDataGrid, DxColumn, DxExport, DxSelection, DxGroupPanel
},
data() {
return {
dataSource: service.getEmployees()
};
}
};
</script>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app">
</div>
</div>
</body>
</html>
let employees = [{
'ID': 1,
'FirstName': 'John',
'LastName': 'Heart',
'Prefix': 'Mr.',
'Position': 'CEO',
'Picture': 'images/employees/01.png',
'BirthDate': '1964/03/16',
'HireDate': '1995/01/15',
'Notes': 'John has been in the Audio/Video industry since 1990. He has led DevAv as its CEO since 2003.\r\n\r\nWhen not working hard as the CEO, John loves to golf and bowl. He once bowled a perfect game of 300.',
'Address': '351 S Hill St.',
'State': 'California',
'City': 'Los Angeles'
}, {
'ID': 2,
'FirstName': 'Olivia',
'LastName': 'Peyton',
'Prefix': 'Mrs.',
'Position': 'Sales Assistant',
'Picture': 'images/employees/09.png',
'BirthDate': '1981/06/03',
'HireDate': '2012/05/14',
'Notes': 'Olivia loves to sell. She has been selling DevAV products since 2012. \r\n\r\nOlivia was homecoming queen in high school. She is expecting her first child in 6 months. Good Luck Olivia.',
'Address': '807 W Paseo Del Mar',
'State': 'California',
'City': 'Los Angeles'
}, {
'ID': 3,
'FirstName': 'Robert',
'LastName': 'Reagan',
'Prefix': 'Mr.',
'Position': 'CMO',
'Picture': 'images/employees/03.png',
'BirthDate': '1974/09/07',
'HireDate': '2002/11/08',
'Notes': 'Robert was recently voted the CMO of the year by CMO Magazine. He is a proud member of the DevAV Management Team.\r\n\r\nRobert is a championship BBQ chef, so when you get the chance ask him for his secret recipe.',
'Address': '4 Westmoreland Pl.',
'State': 'Arkansas',
'City': 'Bentonville'
}, {
'ID': 4,
'FirstName': 'Greta',
'LastName': 'Sims',
'Prefix': 'Ms.',
'Position': 'HR Manager',
'Picture': 'images/employees/04.png',
'BirthDate': '1977/11/22',
'HireDate': '1998/04/23',
'Notes': "Greta has been DevAV's HR Manager since 2003. She joined DevAV from Sonee Corp.\r\n\r\nGreta is currently training for the NYC marathon. Her best marathon time is 4 hours. Go Greta.",
'Address': '1700 S Grandview Dr.',
'State': 'Georgia',
'City': 'Atlanta'
}, {
'ID': 5,
'FirstName': 'Brett',
'LastName': 'Wade',
'Prefix': 'Mr.',
'Position': 'IT Manager',
'Picture': 'images/employees/05.png',
'BirthDate': '1968/12/01',
'HireDate': '2009/03/06',
'Notes': 'Brett came to DevAv from Microsoft and has led our IT department since 2012.\r\n\r\nWhen he is not working hard for DevAV, he coaches Little League (he was a high school pitcher).',
'Address': '1120 Old Mill Rd.',
'State': 'Idaho',
'City': 'Boise'
}, {
'ID': 6,
'FirstName': 'Sandra',
'LastName': 'Johnson',
'Prefix': 'Mrs.',
'Position': 'Controller',
'Picture': 'images/employees/06.png',
'BirthDate': '1974/11/15',
'HireDate': '2005/05/11',
'Notes': "Sandra is a CPA and has been our controller since 2008. She loves to interact with staff so if you've not met her, be certain to say hi.\r\n\r\nSandra has 2 daughters both of whom are accomplished gymnasts.",
'Address': '4600 N Virginia Rd.',
'State': 'Utah',
'City': 'Beaver'
}, {
'ID': 7,
'FirstName': 'Kevin',
'LastName': 'Carter',
'Prefix': 'Mr.',
'Position': 'Shipping Manager',
'Picture': 'images/employees/07.png',
'BirthDate': '1978/01/09',
'HireDate': '2009/08/11',
'Notes': 'Kevin is our hard-working shipping manager and has been helping that department work like clockwork for 18 months.\r\n\r\nWhen not in the office, he is usually on the basketball court playing pick-up games.',
'Address': '424 N Main St.',
'State': 'California',
'City': 'San Diego'
}, {
'ID': 8,
'FirstName': 'Cynthia',
'LastName': 'Stanwick',
'Prefix': 'Ms.',
'Position': 'HR Assistant',
'Picture': 'images/employees/08.png',
'BirthDate': '1985/06/05',
'HireDate': '2008/03/24',
'Notes': 'Cindy joined us in 2008 and has been in the HR department for 2 years. \r\n\r\nShe was recently awarded employee of the month. Way to go Cindy!',
'Address': '2211 Bonita Dr.',
'State': 'Arkansas',
'City': 'Little Rock'
}, {
'ID': 9,
'FirstName': 'Kent',
'LastName': 'Samuelson',
'Prefix': 'Dr.',
'Position': 'Ombudsman',
'Picture': 'images/employees/02.png',
'BirthDate': '1972/09/11',
'HireDate': '2009/04/22',
'Notes': 'As our ombudsman, Kent is on the front-lines solving customer problems and helping our partners address issues out in the field. He is a classically trained musician and is a member of the Chamber Orchestra.',
'Address': '12100 Mora Dr',
'State': 'Missouri',
'City': 'St. Louis'
}, {
'ID': 10,
'FirstName': 'Taylor',
'LastName': 'Riley',
'Prefix': 'Mr.',
'Position': 'Network Admin',
'Picture': '',
'BirthDate': '1982/08/14',
'HireDate': '2012/04/14',
'Notes': "If you are like the rest of us at DevAV, then you've probably reached out for help from Taylor. He does a great job as a member of our IT department.",
'Address': '7776 Torreyson Dr',
'State': 'California',
'City': 'San Jose'
}];
export default {
getEmployees() {
return employees;
}
};
System.config({
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader'
},
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'devextreme-vue': 'npm:devextreme-vue@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});

import React from 'react';
import DataGrid, { Column, Export, Selection, GroupPanel } from 'devextreme-react/data-grid';
import service from './data.js';
class App extends React.Component {
constructor(props) {
super(props);
this.dataSource = service.getEmployees();
}
render() {
return (
<div>
<DataGrid
id="gridContainer"
dataSource={this.dataSource}
showBorders={true}>
<Export enabled={true} fileName="Employees" allowExportSelectedData={true} />
<Selection mode="multiple" />
<GroupPanel visible={true} />
<Column dataField="Prefix" width={60} caption="Title" />
<Column dataField="FirstName" />
<Column dataField="LastName" />
<Column dataField="City" />
<Column dataField="State" />
<Column dataField="Position" width={130} />
<Column dataField="BirthDate" width={100} dataType="date" />
<Column dataField="HireDate" width={100} dataType="date" />
</DataGrid>
</div>
);
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app')
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
let employees = [{
'ID': 1,
'FirstName': 'John',
'LastName': 'Heart',
'Prefix': 'Mr.',
'Position': 'CEO',
'Picture': 'images/employees/01.png',
'BirthDate': '1964/03/16',
'HireDate': '1995/01/15',
'Notes': 'John has been in the Audio/Video industry since 1990. He has led DevAv as its CEO since 2003.\r\n\r\nWhen not working hard as the CEO, John loves to golf and bowl. He once bowled a perfect game of 300.',
'Address': '351 S Hill St.',
'State': 'California',
'City': 'Los Angeles'
}, {
'ID': 2,
'FirstName': 'Olivia',
'LastName': 'Peyton',
'Prefix': 'Mrs.',
'Position': 'Sales Assistant',
'Picture': 'images/employees/09.png',
'BirthDate': '1981/06/03',
'HireDate': '2012/05/14',
'Notes': 'Olivia loves to sell. She has been selling DevAV products since 2012. \r\n\r\nOlivia was homecoming queen in high school. She is expecting her first child in 6 months. Good Luck Olivia.',
'Address': '807 W Paseo Del Mar',
'State': 'California',
'City': 'Los Angeles'
}, {
'ID': 3,
'FirstName': 'Robert',
'LastName': 'Reagan',
'Prefix': 'Mr.',
'Position': 'CMO',
'Picture': 'images/employees/03.png',
'BirthDate': '1974/09/07',
'HireDate': '2002/11/08',
'Notes': 'Robert was recently voted the CMO of the year by CMO Magazine. He is a proud member of the DevAV Management Team.\r\n\r\nRobert is a championship BBQ chef, so when you get the chance ask him for his secret recipe.',
'Address': '4 Westmoreland Pl.',
'State': 'Arkansas',
'City': 'Bentonville'
}, {
'ID': 4,
'FirstName': 'Greta',
'LastName': 'Sims',
'Prefix': 'Ms.',
'Position': 'HR Manager',
'Picture': 'images/employees/04.png',
'BirthDate': '1977/11/22',
'HireDate': '1998/04/23',
'Notes': "Greta has been DevAV's HR Manager since 2003. She joined DevAV from Sonee Corp.\r\n\r\nGreta is currently training for the NYC marathon. Her best marathon time is 4 hours. Go Greta.",
'Address': '1700 S Grandview Dr.',
'State': 'Georgia',
'City': 'Atlanta'
}, {
'ID': 5,
'FirstName': 'Brett',
'LastName': 'Wade',
'Prefix': 'Mr.',
'Position': 'IT Manager',
'Picture': 'images/employees/05.png',
'BirthDate': '1968/12/01',
'HireDate': '2009/03/06',
'Notes': 'Brett came to DevAv from Microsoft and has led our IT department since 2012.\r\n\r\nWhen he is not working hard for DevAV, he coaches Little League (he was a high school pitcher).',
'Address': '1120 Old Mill Rd.',
'State': 'Idaho',
'City': 'Boise'
}, {
'ID': 6,
'FirstName': 'Sandra',
'LastName': 'Johnson',
'Prefix': 'Mrs.',
'Position': 'Controller',
'Picture': 'images/employees/06.png',
'BirthDate': '1974/11/15',
'HireDate': '2005/05/11',
'Notes': "Sandra is a CPA and has been our controller since 2008. She loves to interact with staff so if you've not met her, be certain to say hi.\r\n\r\nSandra has 2 daughters both of whom are accomplished gymnasts.",
'Address': '4600 N Virginia Rd.',
'State': 'Utah',
'City': 'Beaver'
}, {
'ID': 7,
'FirstName': 'Kevin',
'LastName': 'Carter',
'Prefix': 'Mr.',
'Position': 'Shipping Manager',
'Picture': 'images/employees/07.png',
'BirthDate': '1978/01/09',
'HireDate': '2009/08/11',
'Notes': 'Kevin is our hard-working shipping manager and has been helping that department work like clockwork for 18 months.\r\n\r\nWhen not in the office, he is usually on the basketball court playing pick-up games.',
'Address': '424 N Main St.',
'State': 'California',
'City': 'San Diego'
}, {
'ID': 8,
'FirstName': 'Cynthia',
'LastName': 'Stanwick',
'Prefix': 'Ms.',
'Position': 'HR Assistant',
'Picture': 'images/employees/08.png',
'BirthDate': '1985/06/05',
'HireDate': '2008/03/24',
'Notes': 'Cindy joined us in 2008 and has been in the HR department for 2 years. \r\n\r\nShe was recently awarded employee of the month. Way to go Cindy!',
'Address': '2211 Bonita Dr.',
'State': 'Arkansas',
'City': 'Little Rock'
}, {
'ID': 9,
'FirstName': 'Kent',
'LastName': 'Samuelson',
'Prefix': 'Dr.',
'Position': 'Ombudsman',
'Picture': 'images/employees/02.png',
'BirthDate': '1972/09/11',
'HireDate': '2009/04/22',
'Notes': 'As our ombudsman, Kent is on the front-lines solving customer problems and helping our partners address issues out in the field. He is a classically trained musician and is a member of the Chamber Orchestra.',
'Address': '12100 Mora Dr',
'State': 'Missouri',
'City': 'St. Louis'
}, {
'ID': 10,
'FirstName': 'Taylor',
'LastName': 'Riley',
'Prefix': 'Mr.',
'Position': 'Network Admin',
'Picture': '',
'BirthDate': '1982/08/14',
'HireDate': '2012/04/14',
'Notes': "If you are like the rest of us at DevAV, then you've probably reached out for help from Taylor. He does a great job as a member of our IT department.",
'Address': '7776 Torreyson Dr',
'State': 'California',
'City': 'San Jose'
}];
export default {
getEmployees() {
return employees;
}
};
System.config({
transpiler: 'plugin-babel',
meta: {
},
paths: {
'npm:': 'https://unpkg.com/'
},
defaultExtension: 'js',
map: {
'react': 'npm:react@16.14.0/umd/react.development.js',
'react-dom': 'npm:react-dom@16.14.0/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.7.2/prop-types.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'devextreme-react': 'npm:devextreme-react@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme': {
defaultExtension: 'js'
},
'devextreme-react': {
main: 'index.js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true,
react: true
}
});